#### PyKDE - Python Bindings for KDE

# class KParts.HistoryProvider |
Table of contents
Modules
tdeparts Classes
All Classes

Module | tdeparts
Class | KParts.HistoryProvider
Inherits | TQObject

### methods

- HistoryProvider (parent = 0, name = 0)

  returns a HistoryProvider instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQObject | 0
  name | char | 0

- clear ()

  returns nothing

- cleared ()

  returns nothing

- contains (item)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  item | TQString |

- insert (item)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  item | TQString |

- remove (item)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  item | TQString |

- self ()

  returns (KParts.HistoryProvider)
  static

- updated (items)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  items | TQStringList |